--Verifica tutti i clienti della APPO_CONTRATTI se hanno la nota fai
--per il singolo cliente [C6StagingPeriodico].[ClienteProdottiFAI] 'F','BBNNLL48T52E730L'
CREATE   procedure [C6StagingPeriodico].[ClienteProdottiFAI_Totali]
as
drop table if exists #fai
SELECT distinct rete,COD_FISCALE, count(*) as Conta
into #fai
FROM [C6MartPeriodico].[PATRIMONIO_BF]
WHERE rtrim(ltrim(cod_interno))  IN (
		'IA',
		'IP',
		'IC',
		'ID',
		'PE'
			)
	and rete+COD_FISCALE in (select rete+COD_FISCALE from C6StagingPeriodico.APPO_CONTRATTI)
	group by rete,COD_FISCALE
	select a.rete,a.COD_FISCALE,
	case when f.conta is null then 'NO' 
	else 'SI' end as FAI
	from C6stagingPeriodico.APPO_CONTRATTI a left join #fai f on a.rete+a.COD_FISCALE=f.RETE+f.COD_FISCALE